Skip to main content
GET
Details

Append To Response This method supports using append_to_response. Read more about this here. Genders

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

person_id
integer
required

The ID of the person

Query Parameters

append_to_response
string

Comma separated list of endpoints within this namespace, 20 items max

language
string

Defaults to en-US

Response

200 - application/json

Successful

adult
boolean

Indicates whether the person is an adult

also_known_as
array

A list of alternative names

biography
string

A list of alternate names or aliases by which the person is known.

birthday
string

A detailed description of the person’s life, career, and achievements

deathday
string

The date of birth of the person, formatted as YYYY-MM-DD

gender
integer

The gender of the person, represented as an integer (e.g., 1 for female, 2 for male)

homepage
string

The URL of the homepage

id
integer

A unique identifier assigned to the person

imdb_id
string

The unique IMDb identifier associated with the person

known_for_department
string

The primary department the person is known for

name
string

The full name of the person

place_of_birth
string

The city, state, or country where the person was born

popularity
number

A numeric value indicating the person’s popularity

profile_path
string

The relative path or URL to the person’s profile image